Skip to main content
GET
/
functions
cURL
curl --request GET \
  --url https://api.opper.ai/v2/functions \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total_count": 123
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "instructions": "<string>",
      "model": [
        "openai/gpt-4o",
        "openai/gpt-4o-mini"
      ],
      "is_v3": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string | null

Filter functions by name

Example:

"my-function"

sort
string | null
default:name

Sort the functions by name or created_at, use '-' to sort in descending order

Example:

"name"

offset
integer | null
default:0

The offset of the page of functions to return when paginating

Required range: x >= 0
limit
integer | null
default:20

The number of functions to return per page when paginating

Required range: 1 <= x <= 100

Response

Successful Response

meta
Meta · object
required

Metadata about the response

data
ListFunctionsResponseItem · object[]
required

List of items returned in the response